cURL
curl --request GET \
--url https://api.teamfollowup.ai/api/agent-builder/voices/{voiceId} \
--header 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.teamfollowup.ai/api/agent-builder/voices/{voiceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.teamfollowup.ai/api/agent-builder/voices/{voiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"voice": {
"voiceId": "custom_voice_c5dae0d6c48a6ae36bac9bbcd0",
"voiceName": "Kate (US)",
"accent": "normal",
"gender": "female",
"age": "middle_aged",
"previewAudioUrl": "/voice_previews/custom_voice_c5dae0d6c48a6ae36bac9bbcd0.wav",
"region": "US"
}
}{
"success": false,
"error": "BadRequest",
"message": "voiceId required"
}{
"success": false,
"error": "Unauthorized",
"message": "Authentication required."
}{
"success": false,
"error": "Forbidden",
"message": "You do not have access to voice catalogue endpoints."
}{
"success": false,
"error": "NotFound",
"message": "Voice \"custom_voice_missing\" not found in catalogue."
}{
"success": false,
"error": "TooManyRequests",
"message": "Too many requests, please try again later."
}{
"success": false,
"error": "InternalError",
"message": "Unexpected server error."
}Get voice
Retrieve one voice detail record from the catalogue by id. The detail record includes region in addition to the fields returned by the list.
Required API key scope: voices:read.
GET
/
api
/
agent-builder
/
voices
/
{voiceId}
cURL
Authorizations
Send your API key as Authorization: Bearer YOUR_API_KEY.
Path Parameters
Voice id from the voice catalogue.
Minimum string length:
1⌘I
